org.eclnt.jsfserver.defaultscreens

## Class GridDetails.ColumnItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.defaultscreens.GridDetails.ColumnItem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GridDetails.ColumnItem>, IFIXGRIDItem
  Enclosing class:
    GridDetails

      public class GridDetails.ColumnItem
      extends FIXGRIDItem
      implements java.io.Serializable, java.lang.Comparable<GridDetails.ColumnItem>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnItem(IFIXGRIDColumnInfo columnInfo, int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(GridDetails.ColumnItem o)`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTooltip()`
    `void` | `onDropRights(ActionEvent ae)`
    `void` | `onRowExecute()` Reaction on row executions in the client (double click, return key selection).

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnItem

          public ColumnItem(IFIXGRIDColumnInfo columnInfo,
                            int index)

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

    - #### getTooltip

          public java.lang.String getTooltip()

    - #### compareTo

          public int compareTo(GridDetails.ColumnItem o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<GridDetails.ColumnItem>`

    - #### onRowExecute

          public void onRowExecute()

      Description copied from class: `FIXGRIDItem`
      Reaction on row executions in the client (double click, return key selection).
      Specified by:
        `onRowExecute` in interface `IFIXGRIDItem`
      Overrides:
        `onRowExecute` in class `FIXGRIDItem`

    - #### onDropRights

          public void onDropRights(ActionEvent ae)

Copyright © CaptainCasa Gmbh. All Rights Reserved.